import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { VipCategoryEntity } from '../../domain/entities/vip-category.entity';
import { Column, Entity } from 'typeorm';
import { BaseStatusModel } from 'src/core/modules/data/model/base-status.model';

@Entity(TABLE_NAME.VIP_CATEGORY)
export class VipCategoryModel
  extends BaseStatusModel<VipCategoryEntity>
  implements VipCategoryEntity
{
  @Column('varchar', { name: 'name' })
  name: string;
}
